diff --git a/changelog b/changelog
index b0aed75..4aacc41 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090930 tpd src/axiom-website/patches.html 20090930.04.tpd.patch
+20090930 tpd src/interp/nci.lisp cleanup
 20090930 tpd src/axiom-website/patches.html 20090930.03.tpd.patch
 20090930 tpd src/interp/newfort.lisp cleanup
 20090930 tpd src/axiom-website/patches.html 20090930.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6bfaa2e..3026334 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2069,5 +2069,7 @@ src/interp/nrungo.lisp cleanup<br/>
 src/interp/nrunfast.lisp cleanup<br/>
 <a href="patches/20090930.03.tpd.patch">20090930.03.tpd.patch</a>
 src/interp/newfort.lisp cleanup<br/>
+<a href="patches/20090930.04.tpd.patch">20090930.04.tpd.patch</a>
+src/interp/nci.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/nci.lisp.pamphlet b/src/interp/nci.lisp.pamphlet
index 60075c2..e1bf845 100644
--- a/src/interp/nci.lisp.pamphlet
+++ b/src/interp/nci.lisp.pamphlet
@@ -9,42 +9,7 @@
 \eject
 \tableofcontents
 \eject
-\section{License}
-<<license>>=
-;; Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
-;; All rights reserved.
-;;
-;; Redistribution and use in source and binary forms, with or without
-;; modification, are permitted provided that the following conditions are
-;; met:
-;;
-;;     - Redistributions of source code must retain the above copyright
-;;       notice, this list of conditions and the following disclaimer.
-;;
-;;     - Redistributions in binary form must reproduce the above copyright
-;;       notice, this list of conditions and the following disclaimer in
-;;       the documentation and/or other materials provided with the
-;;       distribution.
-;;
-;;     - Neither the name of The Numerical ALgorithms Group Ltd. nor the
-;;       names of its contributors may be used to endorse or promote products
-;;       derived from this software without specific prior written permission.
-;;
-;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
-;; IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
-;; TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
-;; PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
-;; OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
-;; EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-;; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
-;; PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
-;; LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-;; NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-;; SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-@
 <<*>>=
-<<license>>
 
 (in-package "BOOT")
 
@@ -61,8 +26,7 @@
 
 (defun |ncINTERPFILE| (file echo)
   (let ((|$EchoLines| echo) (|$ReadingFile| t))
-    (declare (special |$EchoLines|))
-    (declare (special |$ReadingFile|))
+    (declare (special |$EchoLines| |$ReadingFile|))
     (|SpadInterpretFile| file)) )
 
 (defun |ncGetFunction| (op dom sig)
@@ -81,13 +45,16 @@
     (apply fun args)))
 
 (defun |clearMacroTable| ()
+  (declare (special |$pfMacros|))
   (setq |$pfMacros| NIL))
 
 (defun |getParserMacros| ()
+  (declare (special |$pfMacros|))
     |$pfMacros|)
 
 (defun |displayParserMacro| (m)
   (let ((m (assq m |$pfMacros|)))
+  (declare (special |$pfMacros|))
     (cond ((null m) nil)
 	  (t (|pfPrintSrcLines| (CADDR m))))))
 
